#!/usr/bin/make -f

# start-guests is the default action
start-guests:

# service-% is a no-op, it's for passing metadata to the target
service-%:;

# start a guest and wait for the specified service (ssh by default)
# if the guest is remote, just wait for the service:
# a guest is local if it is specified by its bare name (ie foo rather
# than foo.bar.org) AND virsh knows of a guest domain with that name.
# All other guests are considered remote.
guest-%: global-dependencies
	@libvirt-start-guest-service $*$(subst service-,:,$(filter service-%,$^))

# This is where the list of VMs to be autostarted isconfigured.
# It is also where inter-guest dependencies can be configured
include /etc/libvirt-guest-init/guests.mk
-include /etc/libvirt-guest-init/$(shell hostname)-guests.mk

# Hook up the configured guests to the infrastructure above:
global-dependencies: $(REQUIRED)
start-guests: $(foreach G,$(GUESTS),guest-$G)
